package com.god.business.common.domain.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 故障添加参数
 *
 * @author LouZhiSHuo
 * @Date 2023/11/29 14:48
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ReqAddBreakDown {


    /**
     * 车辆VIN
     */
    private String carVin;

    /**
     * 故障码Id
     */
    private Integer breakdownId;

    /**
     * 故障状态
     */
    private Integer status;

    /**
     * 故障开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH-mm-ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH-mm-ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 故障结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH-mm-ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH-mm-ss",timezone = "GMT+8")
    private Date endTime;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH-mm-ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH-mm-ss",timezone = "GMT+8")
    private Date updateTime;

}
