package com.god.base.server.config;


import com.god.common.redis.service.RedisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import java.util.HashSet;


/**
 * 车辆事件初始化
 * @Author fst
 * @date 2023/12/5 10:10
 */
@Component
public class EventInit {
    @Autowired
    private RedisService redisService;

    /**
     * 添加车辆事件
     * @param carVinId
     * @param event
     */
    public void insertEvent(String carVinId,String event){
        //获取车辆事件集合
        HashSet<String> set = redisService.getCacheMapValue("EVENT", carVinId);
        //添加事件
        set.add(event);
        //更新事件
        redisService.setCacheMapValue("EVENT",carVinId,set);
    }


    /**
     * 删除车辆事件
     * @param carVinId
     * @param event
     */
    public void delEvent(String carVinId,String event){
        //获取车辆事件集合
        HashSet<String> set = redisService.getCacheMapValue("EVENT", carVinId);
        //添加事件
        set.remove(event);
        //更新事件
        redisService.setCacheMapValue("EVENT",carVinId,set);
    }
}
