package com.god.base.server.consumer;

import com.rabbitmq.client.Channel;
import lombok.extern.java.Log;
import lombok.extern.log4j.Log4j;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.amqp.rabbit.annotation.RabbitListeners;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.io.IOException;

/**
 * Description:
 *
 * @Author: sun-cool-boy
 * @Date: 2023/11/29
 * @info:
 */
@Component
@Log4j2
public class RabbitConsumer {

    @RabbitListener(queuesToDeclare = {@Queue("OUT_FENCE")})
    public void one(String msg, Message message, Channel channel){
        try {
            log.info("监听到消息：{} , 队列名：{}",msg,"OUT_FENCE");
            log.info("车辆驶出围栏,消息是：{}",msg);
            //手动确认
            channel.basicAck(message.getMessageProperties().getDeliveryTag(),false);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    @RabbitListener(queuesToDeclare = {@Queue("IN_FENCE")})
    public void two(String msg,Message message, Channel channel){
        try {
            log.info("监听到消息：{} , 队列名：{}",msg,"IN_FENCE");
            log.info("车辆驶入围栏,消息是：{}",msg);
            //手动确认
            channel.basicAck(message.getMessageProperties().getDeliveryTag(),false);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}
