package com.god.base.server.controller;

import com.god.base.remote.RemoteCarService;
import com.god.base.server.service.AlarmService;
import com.god.business.common.domain.BreakDown;
import com.god.business.common.domain.request.ReqAddBreakDown;
import com.god.common.core.domain.Result;
import com.god.common.log.annotation.Log;
import com.god.common.log.enums.BusinessType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 预警控制层
 *
 * @author LouZhiSHuo
 * @Date 2023/11/27 10:50
 **/
@RestController
public class AlarmController {

    @Resource
    private AlarmService alarmService;


    /**
     * 围栏报警
     * @param carVinId
     * @return
     */
    @GetMapping("/startAlarm")
    @Log(title = "围栏报警业务")
    public Result<Boolean> rangeWarning(@RequestParam("carVinId") String carVinId) {
        //围栏报警业务实现
        alarmService.startAlarm(carVinId);
        return Result.success();
    }


    /**
     * 添加故障记录
     * @param reqAddBreakDown
     * @return
     */
    @PostMapping("/insertBreakDownLogs")
    @Log(title = "添加车辆预警记录",businessType = BusinessType.INSERT)
    public Result<String> insertBreakDownLogs(@RequestBody ReqAddBreakDown reqAddBreakDown) {
        //添加车辆预警记录
        alarmService.save(BreakDown.insertBreakDown(reqAddBreakDown));
        return Result.success();
    }







}
